View Issue Details

IDProjectCategoryView StatusLast Update
0013798ScribusUser Interfacepublic2016-04-10 13:47
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5.2.svn 
Target Version1.5.2Fixed in Version1.5.2.svn 
Summary0013798: Rework UI appearance of Item Tools Preferences
DescriptionSome improvements to create a consistent design across tabs and UI.
Attached screenshots for details.
Additional Information1.5.2.svn (21072)
TagsNo tags attached.
PatchYes

Relationships

related to 0013306 newFirasH [PATCH] Fix tabstops in tabpdfoptions.ui + a small UI change 
child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

FirasH

2016-03-07 23:32

developer  

13798-Patch.diff (78,744 bytes)

diff --git a/scribus/ui/prefs_itemtoolsbase.ui b/scribus/ui/prefs_itemtoolsbase.ui
--- a/scribus/ui/prefs_itemtoolsbase.ui
+++ b/scribus/ui/prefs_itemtoolsbase.ui
@@ -7,7 +7,7 @@
     <x>0</x>
     <y>0</y>
     <width>659</width>
-    <height>715</height>
+    <height>762</height>
    </rect>
   </property>
   <property name="windowTitle">
@@ -57,9 +57,18 @@
        <string>Text</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_3">
-       <property name="margin">
+       <property name="leftMargin">
         <number>0</number>
        </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea">
          <property name="frameShape">
@@ -79,167 +88,27 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>643</width>
-            <height>646</height>
+            <width>637</width>
+            <height>680</height>
            </rect>
           </property>
-          <layout class="QVBoxLayout" name="verticalLayout_2">
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_5">
-             <item>
-              <layout class="QFormLayout" name="formLayout_3">
-               <property name="fieldGrowthPolicy">
-                <enum>QFormLayout::FieldsStayAtSizeHint</enum>
-               </property>
-               <property name="formAlignment">
-                <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
-               </property>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_30">
-                 <property name="text">
-                  <string>Fill Color:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="ColorCombo" name="textFrameFillColorComboBox"/>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_31">
-                 <property name="text">
-                  <string>Line Color:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ColorCombo" name="textFrameLineColorComboBox"/>
-               </item>
-               <item row="2" column="0">
-                <widget class="QLabel" name="label_9">
-                 <property name="text">
-                  <string>Tab Fill Character:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="2" column="1">
-                <widget class="QComboBox" name="textTabFillCharComboBox"/>
-               </item>
-               <item row="3" column="0">
-                <widget class="QLabel" name="label_14">
-                 <property name="text">
-                  <string>Tab Width:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="3" column="1">
-                <widget class="ScrSpinBox" name="textTabWidthSpinBox"/>
-               </item>
-              </layout>
-             </item>
-             <item>
-              <spacer name="horizontalSpacer_8">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeType">
-                <enum>QSizePolicy::Fixed</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>20</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-             <item>
-              <layout class="QFormLayout" name="formLayout_10">
-               <property name="fieldGrowthPolicy">
-                <enum>QFormLayout::FieldsStayAtSizeHint</enum>
-               </property>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_32">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QSpinBox" name="textFrameFillShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_33">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="QSpinBox" name="textFrameLineShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-               <item row="2" column="0">
-                <widget class="QLabel" name="label_42">
-                 <property name="text">
-                  <string/>
-                 </property>
-                </widget>
-               </item>
-               <item row="3" column="0">
-                <widget class="QLabel" name="label_43">
-                 <property name="text">
-                  <string/>
-                 </property>
-                </widget>
-               </item>
-              </layout>
-             </item>
-             <item>
-              <spacer name="horizontalSpacer_9">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>40</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-            </layout>
+          <layout class="QGridLayout" name="gridLayout_5">
+           <item row="2" column="1">
+            <widget class="QLabel" name="label_43">
+             <property name="text">
+              <string/>
+             </property>
+            </widget>
            </item>
-           <item>
-            <spacer name="verticalSpacer_10">
+           <item row="5" column="0" colspan="3">
+            <widget class="Line" name="line_6">
              <property name="orientation">
-              <enum>Qt::Vertical</enum>
+              <enum>Qt::Horizontal</enum>
              </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>20</height>
-              </size>
-             </property>
-            </spacer>
+            </widget>
            </item>
-           <item>
-            <widget class="QLabel" name="label_44">
+           <item row="4" column="0">
+            <widget class="QLabel" name="ColumnsAndTextDistances">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -251,136 +120,48 @@
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_6">
+           <item row="9" column="0" colspan="3">
+            <widget class="Line" name="line_5">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
             </widget>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_9">
-             <item>
-              <layout class="QFormLayout" name="formLayout_12">
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_13">
-                 <property name="text">
-                  <string>Top:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ScrSpinBox" name="topTextDistanceSpinBox"/>
-               </item>
-               <item row="2" column="0">
-                <widget class="QLabel" name="label_12">
-                 <property name="text">
-                  <string>Bottom:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="2" column="1">
-                <widget class="ScrSpinBox" name="bottomTextDistanceSpinBox"/>
-               </item>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_10">
-                 <property name="text">
-                  <string>Columns:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QSpinBox" name="textColumnsSpinBox">
-                 <property name="minimum">
-                  <number>1</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
-             </item>
-             <item>
-              <spacer name="horizontalSpacer_13">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeType">
-                <enum>QSizePolicy::Fixed</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>20</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-             <item>
-              <layout class="QFormLayout" name="formLayout_13">
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_39">
-                 <property name="text">
-                  <string>Left:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ScrSpinBox" name="leftTextDistanceSpinBox"/>
-               </item>
-               <item row="2" column="0">
-                <widget class="QLabel" name="label_41">
-                 <property name="text">
-                  <string>Right:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="2" column="1">
-                <widget class="ScrSpinBox" name="rightTextDistanceSpinBox"/>
-               </item>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_17">
-                 <property name="text">
-                  <string>Column Gap:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="ScrSpinBox" name="textColumnGapSpinBox"/>
-               </item>
-              </layout>
-             </item>
-             <item>
-              <spacer name="horizontalSpacer_15">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
-               </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>40</width>
-                 <height>20</height>
-                </size>
-               </property>
-              </spacer>
-             </item>
-            </layout>
+           <item row="0" column="2">
+            <spacer name="horizontalSpacer_13">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
            </item>
-           <item>
-            <spacer name="verticalSpacer">
+           <item row="16" column="0">
+            <spacer name="verticalSpacer_10">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
-             </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
-               <height>20</height>
+               <height>40</height>
               </size>
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="label_19">
+           <item row="14" column="0" colspan="3">
+            <widget class="Line" name="line_3">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+            </widget>
+           </item>
+           <item row="13" column="0">
+            <widget class="QLabel" name="label_11">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -388,54 +169,107 @@
               </font>
              </property>
              <property name="text">
-              <string>Text</string>
+              <string>Preview</string>
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_5">
+           <item row="6" column="2">
+            <spacer name="horizontalSpacer_15">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="1" column="1">
+            <widget class="QLabel" name="label_42">
+             <property name="text">
+              <string/>
+             </property>
             </widget>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_8">
-             <item>
-              <layout class="QFormLayout" name="formLayout">
-               <property name="fieldGrowthPolicy">
-                <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+           <item row="6" column="0" colspan="2">
+            <layout class="QGridLayout" name="gridLayout_3">
+             <item row="2" column="4">
+              <widget class="ScrSpinBox" name="rightTextDistanceSpinBox"/>
+             </item>
+             <item row="0" column="4">
+              <widget class="ScrSpinBox" name="textColumnGapSpinBox"/>
+             </item>
+             <item row="0" column="1">
+              <widget class="QSpinBox" name="textColumnsSpinBox">
+               <property name="minimum">
+                <number>1</number>
                </property>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_3">
-                 <property name="text">
-                  <string>Font:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="FontCombo" name="textFontComboBox"/>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_4">
-                 <property name="text">
-                  <string>Size:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ScrSpinBox" name="textSizeSpinBox"/>
-               </item>
-              </layout>
+              </widget>
              </item>
-             <item>
-              <spacer name="horizontalSpacer_14">
+             <item row="1" column="1">
+              <widget class="ScrSpinBox" name="topTextDistanceSpinBox"/>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="TopLabel">
+               <property name="text">
+                <string>Top:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="4">
+              <widget class="ScrSpinBox" name="leftTextDistanceSpinBox"/>
+             </item>
+             <item row="2" column="0">
+              <widget class="QLabel" name="BottomLabel">
+               <property name="text">
+                <string>Bottom:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="3">
+              <widget class="QLabel" name="LefLabel">
+               <property name="text">
+                <string>Left:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="0">
+              <widget class="QLabel" name="ColumnsLabel">
+               <property name="text">
+                <string>Columns:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="3">
+              <widget class="QLabel" name="ColumnGapLabel">
+               <property name="text">
+                <string>Column Gap:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="1">
+              <widget class="ScrSpinBox" name="bottomTextDistanceSpinBox"/>
+             </item>
+             <item row="2" column="3">
+              <widget class="QLabel" name="RightLabel">
+               <property name="text">
+                <string>Right:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="2" rowspan="3">
+              <spacer name="horizontalSpacer_9">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
+               <property name="sizeType">
+                <enum>QSizePolicy::Fixed</enum>
+               </property>
                <property name="sizeHint" stdset="0">
                 <size>
-                 <width>40</width>
+                 <width>20</width>
                  <height>20</height>
                 </size>
                </property>
@@ -443,34 +277,96 @@
              </item>
             </layout>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_3">
-             <item>
-              <layout class="QFormLayout" name="formLayout_14">
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_5">
-                 <property name="text">
-                  <string>Color:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="ColorCombo" name="textColorComboBox"/>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_6">
-                 <property name="text">
-                  <string>Stroke:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ColorCombo" name="textStrokeColorComboBox"/>
-               </item>
-              </layout>
+           <item row="0" column="0" rowspan="3" colspan="2">
+            <layout class="QGridLayout" name="gridLayout_2">
+             <item row="0" column="0">
+              <widget class="QLabel" name="textFillColorLabel">
+               <property name="text">
+                <string>Fill Color:</string>
+               </property>
+              </widget>
              </item>
-             <item>
-              <spacer name="horizontalSpacer">
+             <item row="0" column="4">
+              <widget class="QSpinBox" name="textFrameFillShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="4">
+              <widget class="QSpinBox" name="textFrameLineShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="1">
+              <widget class="ColorCombo" name="textFrameFillColorComboBox"/>
+             </item>
+             <item row="0" column="3">
+              <widget class="QLabel" name="textFillColorShadingLabel">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="textLineColorLabel">
+               <property name="text">
+                <string>Line Color:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="0">
+              <widget class="QLabel" name="TabWidthLabel">
+               <property name="text">
+                <string>Tab Width:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="0">
+              <widget class="QLabel" name="TabFillCharacterLabel">
+               <property name="text">
+                <string>Tab Fill Character:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="1">
+              <widget class="QComboBox" name="textTabFillCharComboBox"/>
+             </item>
+             <item row="1" column="3">
+              <widget class="QLabel" name="textLineColorShadingLabel">
+               <property name="sizePolicy">
+                <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+                 <horstretch>0</horstretch>
+                 <verstretch>0</verstretch>
+                </sizepolicy>
+               </property>
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="1">
+              <widget class="ScrSpinBox" name="textTabWidthSpinBox"/>
+             </item>
+             <item row="1" column="1">
+              <widget class="ColorCombo" name="textFrameLineColorComboBox"/>
+             </item>
+             <item row="0" column="2" rowspan="4">
+              <spacer name="horizontalSpacer_8">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
@@ -485,60 +381,104 @@
                </property>
               </spacer>
              </item>
-             <item>
-              <layout class="QFormLayout" name="formLayout_2">
-               <property name="sizeConstraint">
-                <enum>QLayout::SetDefaultConstraint</enum>
+            </layout>
+           </item>
+           <item row="10" column="0" colspan="3">
+            <layout class="QGridLayout" name="gridLayout_4">
+             <item row="3" column="3">
+              <widget class="QLabel" name="textColorStrokeLabel">
+               <property name="text">
+                <string>Shading:</string>
                </property>
-               <property name="fieldGrowthPolicy">
-                <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+              </widget>
+             </item>
+             <item row="3" column="1">
+              <widget class="ColorCombo" name="textStrokeColorComboBox"/>
+             </item>
+             <item row="3" column="4">
+              <widget class="QSpinBox" name="textStrokeShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
                </property>
-               <property name="verticalSpacing">
-                <number>2</number>
+               <property name="maximum">
+                <number>100</number>
                </property>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_16">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QSpinBox" name="textColorShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_15">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="QSpinBox" name="textStrokeShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+              </widget>
              </item>
-             <item>
+             <item row="2" column="3">
+              <widget class="QLabel" name="textColorShadingLabel">
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="3" column="0">
+              <widget class="QLabel" name="StrokeLabel">
+               <property name="text">
+                <string>Stroke:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="4">
+              <widget class="QSpinBox" name="textColorShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="0">
+              <widget class="QLabel" name="FontLabel">
+               <property name="text">
+                <string>Font:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="ScrSpinBox" name="textSizeSpinBox"/>
+             </item>
+             <item row="2" column="0">
+              <widget class="QLabel" name="textColorLabel">
+               <property name="text">
+                <string>Color:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="1">
+              <widget class="ColorCombo" name="textColorComboBox"/>
+             </item>
+             <item row="1" column="0">
+              <widget class="QLabel" name="SizeLabel">
+               <property name="text">
+                <string>Size:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="2" column="2">
               <spacer name="horizontalSpacer_2">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
+               <property name="sizeType">
+                <enum>QSizePolicy::Fixed</enum>
+               </property>
                <property name="sizeHint" stdset="0">
                 <size>
+                 <width>20</width>
+                 <height>20</height>
+                </size>
+               </property>
+              </spacer>
+             </item>
+             <item row="1" column="5" rowspan="3">
+              <spacer name="horizontalSpacer">
+               <property name="orientation">
+                <enum>Qt::Horizontal</enum>
+               </property>
+               <property name="sizeHint" stdset="0">
+                <size>
                  <width>40</width>
                  <height>20</height>
                 </size>
@@ -545,26 +485,13 @@
                </property>
               </spacer>
              </item>
+             <item row="0" column="1" colspan="5">
+              <widget class="FontCombo" name="textFontComboBox"/>
+             </item>
             </layout>
            </item>
-           <item>
-            <spacer name="verticalSpacer_3">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeType">
-              <enum>QSizePolicy::Fixed</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>20</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
-           <item>
-            <widget class="QLabel" name="label_11">
+           <item row="8" column="0">
+            <widget class="QLabel" name="label_19">
              <property name="font">
               <font>
                <weight>75</weight>
@@ -572,18 +499,11 @@
               </font>
              </property>
              <property name="text">
-              <string>Preview</string>
+              <string>Text</string>
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_3">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-            </widget>
-           </item>
-           <item>
+           <item row="15" column="0" colspan="3">
             <widget class="QLabel" name="textPreviewWidget">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
@@ -605,19 +525,54 @@
              </property>
             </widget>
            </item>
-           <item>
+           <item row="3" column="0" colspan="2">
+            <spacer name="verticalSpacer">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="7" column="0" colspan="2">
             <spacer name="verticalSpacer_2">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
-               <height>13</height>
+               <height>20</height>
               </size>
              </property>
             </spacer>
            </item>
+           <item row="12" column="0" colspan="3">
+            <spacer name="verticalSpacer_3">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Fixed</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
           </layout>
          </widget>
         </widget>
@@ -629,9 +584,18 @@
        <string>Images</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_4">
-       <property name="margin">
+       <property name="leftMargin">
         <number>0</number>
        </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QScrollArea" name="scrollArea_2">
          <property name="frameShape">
@@ -651,105 +615,84 @@
            <rect>
             <x>0</x>
             <y>0</y>
-            <width>643</width>
-            <height>646</height>
+            <width>637</width>
+            <height>680</height>
            </rect>
           </property>
-          <layout class="QVBoxLayout" name="verticalLayout_7">
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout_2">
-             <item>
-              <layout class="QFormLayout" name="formLayout_5">
-               <property name="fieldGrowthPolicy">
-                <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+          <layout class="QGridLayout" name="gridLayout_8">
+           <item row="11" column="0">
+            <widget class="QLabel" name="OnScreenPreviewLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
+             </property>
+             <property name="text">
+              <string>On Screen Preview</string>
+             </property>
+            </widget>
+           </item>
+           <item row="7" column="0">
+            <layout class="QGridLayout" name="gridLayout_7">
+             <item row="1" column="0">
+              <widget class="QLabel" name="imageVerticalScaleLabel">
+               <property name="text">
+                <string>Vertical Scaling:</string>
                </property>
-               <property name="formAlignment">
-                <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+              </widget>
+             </item>
+             <item row="0" column="0">
+              <widget class="QLabel" name="imageHorizontalScaleLabel">
+               <property name="text">
+                <string>Horizontal Scaling:</string>
                </property>
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_25">
-                 <property name="text">
-                  <string>Fill Color:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="ColorCombo" name="imageFrameFillColorComboBox"/>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_26">
-                 <property name="text">
-                  <string>Line Color:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="ColorCombo" name="imageFrameLineColorComboBox"/>
-               </item>
-              </layout>
+              </widget>
              </item>
-             <item>
-              <spacer name="horizontalSpacer_4">
-               <property name="orientation">
-                <enum>Qt::Horizontal</enum>
+             <item row="0" column="2" rowspan="2">
+              <widget class="LinkButton" name="scalingLockToolButton">
+               <property name="text">
+                <string>...</string>
                </property>
-               <property name="sizeType">
-                <enum>QSizePolicy::Fixed</enum>
+               <property name="checkable">
+                <bool>true</bool>
                </property>
-               <property name="sizeHint" stdset="0">
-                <size>
-                 <width>20</width>
-                 <height>20</height>
-                </size>
+               <property name="autoRaise">
+                <bool>true</bool>
                </property>
-              </spacer>
+              </widget>
              </item>
-             <item>
-              <layout class="QFormLayout" name="formLayout_6">
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_21">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_22">
-                 <property name="text">
-                  <string>Shading:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="QSpinBox" name="imageFrameLineShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QSpinBox" name="imageFrameFillShadingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>100</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+             <item row="1" column="1">
+              <widget class="QSpinBox" name="imageVerticalScalingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>1000</number>
+               </property>
+              </widget>
              </item>
-             <item>
-              <spacer name="horizontalSpacer_5">
+             <item row="0" column="1">
+              <widget class="QSpinBox" name="imageHorizontalScalingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>1000</number>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="3" rowspan="2">
+              <spacer name="horizontalSpacer_4">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
+               <property name="sizeType">
+                <enum>QSizePolicy::Preferred</enum>
+               </property>
                <property name="sizeHint" stdset="0">
                 <size>
-                 <width>20</width>
+                 <width>40</width>
                  <height>20</height>
                 </size>
                </property>
@@ -757,15 +700,18 @@
              </item>
             </layout>
            </item>
-           <item>
-            <widget class="QCheckBox" name="imageUseEmbeddedClippingPathCheckBox">
+           <item row="15" column="0">
+            <widget class="QRadioButton" name="onscreenResolutionLowRadioButton">
              <property name="text">
-              <string>Use Embedded Clipping Path</string>
+              <string>Low Resolution</string>
              </property>
+             <attribute name="buttonGroup">
+              <string notr="true">previewButtonGroup</string>
+             </attribute>
             </widget>
            </item>
-           <item>
-            <spacer name="verticalSpacer_6">
+           <item row="2" column="0">
+            <spacer name="verticalSpacer_4">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
@@ -780,97 +726,93 @@
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="label_2">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
+           <item row="6" column="0">
+            <widget class="QRadioButton" name="imageFreeScalingRadioButton">
              <property name="text">
-              <string>Scaling</string>
+              <string>Free Scaling</string>
              </property>
+             <attribute name="buttonGroup">
+              <string notr="true">scalingButtonGroup</string>
+             </attribute>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_2">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-            </widget>
-           </item>
-           <item>
-            <widget class="QRadioButton" name="imageFreeScalingRadioButton">
+           <item row="13" column="0">
+            <widget class="QRadioButton" name="onscreenResolutionFullRadioButton">
              <property name="text">
-              <string>Free Scaling</string>
+              <string>Full Resolution</string>
              </property>
              <attribute name="buttonGroup">
-              <string>scalingButtonGroup</string>
+              <string notr="true">previewButtonGroup</string>
              </attribute>
             </widget>
            </item>
-           <item>
-            <layout class="QHBoxLayout" name="horizontalLayout">
-             <item>
-              <layout class="QFormLayout" name="formLayout_4">
-               <item row="0" column="0">
-                <widget class="QLabel" name="label_18">
-                 <property name="text">
-                  <string>Horizontal Scaling:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="0" column="1">
-                <widget class="QSpinBox" name="imageHorizontalScalingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>1000</number>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="0">
-                <widget class="QLabel" name="label_20">
-                 <property name="text">
-                  <string>Vertical Scaling:</string>
-                 </property>
-                </widget>
-               </item>
-               <item row="1" column="1">
-                <widget class="QSpinBox" name="imageVerticalScalingSpinBox">
-                 <property name="suffix">
-                  <string> %</string>
-                 </property>
-                 <property name="maximum">
-                  <number>1000</number>
-                 </property>
-                </widget>
-               </item>
-              </layout>
+           <item row="0" column="0">
+            <layout class="QGridLayout" name="gridLayout_6">
+             <item row="1" column="4">
+              <widget class="QSpinBox" name="imageFrameLineShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
              </item>
-             <item>
-              <widget class="LinkButton" name="scalingLockToolButton">
+             <item row="1" column="0">
+              <widget class="QLabel" name="imageLineColorLabel">
                <property name="text">
-                <string>...</string>
+                <string>Line Color:</string>
                </property>
-               <property name="checkable">
-                <bool>true</bool>
+              </widget>
+             </item>
+             <item row="0" column="3">
+              <widget class="QLabel" name="imageFillShadingLabel">
+               <property name="text">
+                <string>Shading:</string>
                </property>
-               <property name="autoRaise">
-                <bool>true</bool>
+              </widget>
+             </item>
+             <item row="0" column="0">
+              <widget class="QLabel" name="imageFillColorLabel">
+               <property name="text">
+                <string>Fill Color:</string>
                </property>
               </widget>
              </item>
-             <item>
-              <spacer name="horizontalSpacer_3">
+             <item row="0" column="1">
+              <widget class="ColorCombo" name="imageFrameFillColorComboBox"/>
+             </item>
+             <item row="1" column="3">
+              <widget class="QLabel" name="imageLineColorShadeLabel">
+               <property name="text">
+                <string>Shading:</string>
+               </property>
+              </widget>
+             </item>
+             <item row="0" column="4">
+              <widget class="QSpinBox" name="imageFrameFillShadingSpinBox">
+               <property name="suffix">
+                <string> %</string>
+               </property>
+               <property name="maximum">
+                <number>100</number>
+               </property>
+              </widget>
+             </item>
+             <item row="1" column="1">
+              <widget class="ColorCombo" name="imageFrameLineColorComboBox"/>
+             </item>
+             <item row="0" column="2" rowspan="2">
+              <spacer name="horizontalSpacer_16">
                <property name="orientation">
                 <enum>Qt::Horizontal</enum>
                </property>
+               <property name="sizeType">
+                <enum>QSizePolicy::Fixed</enum>
+               </property>
                <property name="sizeHint" stdset="0">
                 <size>
-                 <width>40</width>
+                 <width>20</width>
                  <height>20</height>
                 </size>
                </property>
@@ -878,24 +820,33 @@
              </item>
             </layout>
            </item>
-           <item>
+           <item row="0" column="1">
+            <spacer name="horizontalSpacer_3">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeType">
+              <enum>QSizePolicy::Expanding</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>40</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="8" column="0">
             <widget class="QRadioButton" name="imageFrameScalingRadioButton">
              <property name="text">
               <string>Scale Image to Frame Size</string>
              </property>
              <attribute name="buttonGroup">
-              <string>scalingButtonGroup</string>
+              <string notr="true">scalingButtonGroup</string>
              </attribute>
             </widget>
            </item>
-           <item>
-            <widget class="QCheckBox" name="imageKeepAspectRatioCheckBox">
-             <property name="text">
-              <string>Keep Aspect Ratio</string>
-             </property>
-            </widget>
-           </item>
-           <item>
+           <item row="10" column="0">
             <spacer name="verticalSpacer_5">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
@@ -911,58 +862,45 @@
              </property>
             </spacer>
            </item>
-           <item>
-            <widget class="QLabel" name="label_23">
-             <property name="font">
-              <font>
-               <weight>75</weight>
-               <bold>true</bold>
-              </font>
-             </property>
+           <item row="14" column="0">
+            <widget class="QRadioButton" name="onscreenResolutionNormalRadioButton">
              <property name="text">
-              <string>On Screen Preview</string>
+              <string>Normal Resolution</string>
              </property>
+             <attribute name="buttonGroup">
+              <string notr="true">previewButtonGroup</string>
+             </attribute>
             </widget>
            </item>
-           <item>
-            <widget class="Line" name="line_4">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
+           <item row="9" column="0">
+            <widget class="QCheckBox" name="imageKeepAspectRatioCheckBox">
+             <property name="text">
+              <string>Keep Aspect Ratio</string>
              </property>
             </widget>
            </item>
-           <item>
-            <widget class="QRadioButton" name="onscreenResolutionFullRadioButton">
+           <item row="1" column="0">
+            <widget class="QCheckBox" name="imageUseEmbeddedClippingPathCheckBox">
              <property name="text">
-              <string>Full Resolution</string>
+              <string>Use Embedded Clipping Path</string>
              </property>
-             <attribute name="buttonGroup">
-              <string>previewButtonGroup</string>
-             </attribute>
             </widget>
            </item>
-           <item>
-            <widget class="QRadioButton" name="onscreenResolutionNormalRadioButton">
-             <property name="text">
-              <string>Normal Resolution</string>
+           <item row="3" column="0">
+            <widget class="QLabel" name="ScalingLabel">
+             <property name="font">
+              <font>
+               <weight>75</weight>
+               <bold>true</bold>
+              </font>
              </property>
-             <attribute name="buttonGroup">
-              <string>previewButtonGroup</string>
-             </attribute>
-            </widget>
-           </item>
-           <item>
-            <widget class="QRadioButton" name="onscreenResolutionLowRadioButton">
              <property name="text">
-              <string>Low Resolution</string>
+              <string>Scaling</string>
              </property>
-             <attribute name="buttonGroup">
-              <string>previewButtonGroup</string>
-             </attribute>
             </widget>
            </item>
-           <item>
-            <spacer name="verticalSpacer_4">
+           <item row="16" column="0">
+            <spacer name="verticalSpacer_6">
              <property name="orientation">
               <enum>Qt::Vertical</enum>
              </property>
@@ -969,11 +907,25 @@
              <property name="sizeHint" stdset="0">
               <size>
                <width>20</width>
-               <height>145</height>
+               <height>40</height>
               </size>
              </property>
             </spacer>
            </item>
+           <item row="5" column="0" colspan="2">
+            <widget class="Line" name="line_2">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+            </widget>
+           </item>
+           <item row="12" column="0" colspan="2">
+            <widget class="Line" name="line_4">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+            </widget>
+           </item>
           </layout>
          </widget>
         </widget>
@@ -984,118 +936,97 @@
       <attribute name="title">
        <string>Shapes</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_5">
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_4">
-         <item>
-          <layout class="QFormLayout" name="formLayout_7">
-           <property name="fieldGrowthPolicy">
-            <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+      <layout class="QFormLayout" name="formLayout">
+       <item row="0" column="0">
+        <layout class="QGridLayout" name="gridLayout_9">
+         <item row="0" column="1">
+          <widget class="ColorCombo" name="shapeFrameFillColorComboBox"/>
+         </item>
+         <item row="0" column="0">
+          <widget class="QLabel" name="shapeFillColorLabel">
+           <property name="text">
+            <string>Fill Color:</string>
            </property>
-           <property name="formAlignment">
-            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+          </widget>
+         </item>
+         <item row="0" column="3">
+          <widget class="QLabel" name="shapeFillColorShadingLabel">
+           <property name="text">
+            <string>Shading:</string>
            </property>
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_27">
-             <property name="text">
-              <string>Fill Color:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="ColorCombo" name="shapeFrameFillColorComboBox"/>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_28">
-             <property name="text">
-              <string>Line Color:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="ColorCombo" name="shapeFrameLineColorComboBox"/>
-           </item>
-           <item row="2" column="0">
-            <widget class="QLabel" name="label_7">
-             <property name="text">
-              <string>Line Style:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="label_8">
-             <property name="text">
-              <string>Line Width:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="1">
-            <widget class="LineCombo" name="shapeFrameLineStyleComboBox"/>
-           </item>
-           <item row="3" column="1">
-            <widget class="ScrSpinBox" name="shapeLineWidthSpinBox"/>
-           </item>
-          </layout>
+          </widget>
          </item>
-         <item>
-          <spacer name="horizontalSpacer_6">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
+         <item row="1" column="3">
+          <widget class="QLabel" name="shapeLineColorShadingLabel">
+           <property name="sizePolicy">
+            <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+             <horstretch>0</horstretch>
+             <verstretch>0</verstretch>
+            </sizepolicy>
            </property>
-           <property name="sizeType">
-            <enum>QSizePolicy::Fixed</enum>
+           <property name="text">
+            <string>Shading:</string>
            </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>20</width>
-             <height>20</height>
-            </size>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="shapeLineColorLabel">
+           <property name="text">
+            <string>Line Color:</string>
            </property>
-          </spacer>
+          </widget>
          </item>
-         <item>
-          <layout class="QFormLayout" name="formLayout_8">
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_24">
-             <property name="text">
-              <string>Shading:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_29">
-             <property name="text">
-              <string>Shading:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="QSpinBox" name="shapeFrameLineShadingSpinBox">
-             <property name="suffix">
-              <string> %</string>
-             </property>
-             <property name="maximum">
-              <number>100</number>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="QSpinBox" name="shapeFrameFillShadingSpinBox">
-             <property name="suffix">
-              <string> %</string>
-             </property>
-             <property name="maximum">
-              <number>100</number>
-             </property>
-            </widget>
-           </item>
-          </layout>
+         <item row="0" column="4">
+          <widget class="QSpinBox" name="shapeFrameFillShadingSpinBox">
+           <property name="suffix">
+            <string> %</string>
+           </property>
+           <property name="maximum">
+            <number>100</number>
+           </property>
+          </widget>
          </item>
-         <item>
-          <spacer name="horizontalSpacer_7">
+         <item row="1" column="1">
+          <widget class="ColorCombo" name="shapeFrameLineColorComboBox"/>
+         </item>
+         <item row="1" column="4">
+          <widget class="QSpinBox" name="shapeFrameLineShadingSpinBox">
+           <property name="suffix">
+            <string> %</string>
+           </property>
+           <property name="maximum">
+            <number>100</number>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="0">
+          <widget class="QLabel" name="shapeLineStyleLabel">
+           <property name="text">
+            <string>Line Style:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="1">
+          <widget class="LineCombo" name="shapeFrameLineStyleComboBox"/>
+         </item>
+         <item row="3" column="1">
+          <widget class="ScrSpinBox" name="shapeLineWidthSpinBox"/>
+         </item>
+         <item row="3" column="0">
+          <widget class="QLabel" name="shapeLineWidthLabel">
+           <property name="text">
+            <string>Line Width:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="2" rowspan="4">
+          <spacer name="horizontalSpacer_5">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
+           <property name="sizeType">
+            <enum>QSizePolicy::Fixed</enum>
+           </property>
            <property name="sizeHint" stdset="0">
             <size>
              <width>20</width>
@@ -1106,7 +1037,20 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="0" column="1">
+        <spacer name="horizontalSpacer_6">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="1" column="0">
         <spacer name="verticalSpacer_8">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -1172,125 +1116,108 @@
       <attribute name="title">
        <string>Lines</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_8">
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_6">
-         <item>
-          <layout class="QFormLayout" name="formLayout_9">
-           <property name="fieldGrowthPolicy">
-            <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+      <layout class="QFormLayout" name="formLayout_2">
+       <item row="0" column="0">
+        <layout class="QGridLayout" name="gridLayout_10">
+         <item row="0" column="0">
+          <widget class="QLabel" name="lineColorLabel">
+           <property name="text">
+            <string>Line Color:</string>
            </property>
-           <property name="formAlignment">
-            <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignTop</set>
+          </widget>
+         </item>
+         <item row="4" column="0">
+          <widget class="QLabel" name="endArrowLabel">
+           <property name="text">
+            <string>End Arrow:</string>
            </property>
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_35">
-             <property name="text">
-              <string>Line Color:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="ColorCombo" name="lineFillColorComboBox"/>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_36">
-             <property name="text">
-              <string>Line Style:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="LineCombo" name="lineStyleComboBox"/>
-           </item>
-           <item row="2" column="0">
-            <widget class="QLabel" name="label_37">
-             <property name="text">
-              <string>Line Width:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="1">
-            <widget class="ScrSpinBox" name="lineWidthSpinBox"/>
-           </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="label_34">
-             <property name="text">
-              <string>Start Arrow:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="4" column="0">
-            <widget class="QLabel" name="label_40">
-             <property name="text">
-              <string>End Arrow:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="1">
-            <widget class="ArrowChooser" name="lineStartArrowComboBox"/>
-           </item>
-           <item row="4" column="1">
-            <widget class="ArrowChooser" name="lineEndArrowComboBox"/>
-           </item>
-          </layout>
+          </widget>
          </item>
-         <item>
-          <spacer name="horizontalSpacer_10">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
+         <item row="2" column="1">
+          <widget class="ScrSpinBox" name="lineWidthSpinBox"/>
+         </item>
+         <item row="0" column="3">
+          <widget class="QLabel" name="lineColorShadingLabel">
+           <property name="text">
+            <string>Shading:</string>
            </property>
-           <property name="sizeType">
-            <enum>QSizePolicy::Minimum</enum>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ColorCombo" name="lineFillColorComboBox"/>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="lineStyleLabel">
+           <property name="text">
+            <string>Line Style:</string>
            </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>20</width>
-             <height>20</height>
-            </size>
+          </widget>
+         </item>
+         <item row="3" column="0">
+          <widget class="QLabel" name="startArrowLabel">
+           <property name="text">
+            <string>Start Arrow:</string>
            </property>
-          </spacer>
+          </widget>
          </item>
-         <item>
-          <layout class="QFormLayout" name="formLayout_11">
-           <property name="fieldGrowthPolicy">
-            <enum>QFormLayout::FieldsStayAtSizeHint</enum>
+         <item row="0" column="4">
+          <widget class="QSpinBox" name="lineFillColorShadingSpinBox">
+           <property name="suffix">
+            <string> %</string>
            </property>
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_38">
-             <property name="text">
-              <string>Shading:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="QSpinBox" name="lineFillColorShadingSpinBox">
-             <property name="suffix">
-              <string> %</string>
-             </property>
-             <property name="maximum">
-              <number>100</number>
-             </property>
-            </widget>
-           </item>
-          </layout>
+           <property name="maximum">
+            <number>100</number>
+           </property>
+          </widget>
          </item>
-         <item>
-          <spacer name="horizontalSpacer_11">
+         <item row="2" column="0">
+          <widget class="QLabel" name="lineWidthLabel">
+           <property name="text">
+            <string>Line Width:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="1">
+          <widget class="LineCombo" name="lineStyleComboBox"/>
+         </item>
+         <item row="0" column="2" rowspan="3">
+          <spacer name="horizontalSpacer_7">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
+           <property name="sizeType">
+            <enum>QSizePolicy::Fixed</enum>
+           </property>
            <property name="sizeHint" stdset="0">
             <size>
-             <width>40</width>
+             <width>20</width>
              <height>20</height>
             </size>
            </property>
           </spacer>
          </item>
+         <item row="3" column="1" colspan="2">
+          <widget class="ArrowChooser" name="lineStartArrowComboBox"/>
+         </item>
+         <item row="4" column="1" colspan="2">
+          <widget class="ArrowChooser" name="lineEndArrowComboBox"/>
+         </item>
         </layout>
        </item>
-       <item>
+       <item row="0" column="1">
+        <spacer name="horizontalSpacer_10">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="1" column="0">
         <spacer name="verticalSpacer_7">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -1298,7 +1225,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>428</height>
+           <height>40</height>
           </size>
          </property>
         </spacer>
@@ -1309,115 +1236,114 @@
       <attribute name="title">
        <string>Calligraphic Pen</string>
       </attribute>
-      <layout class="QVBoxLayout" name="verticalLayout_9">
-       <item>
-        <layout class="QHBoxLayout" name="horizontalLayout_10">
-         <item>
-          <layout class="QGridLayout" name="gridLayout">
-           <item row="0" column="0">
-            <widget class="QLabel" name="label_45">
-             <property name="text">
-              <string>Fill Color:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="1">
-            <widget class="ColorCombo" name="calPenFillColorComboBox"/>
-           </item>
-           <item row="0" column="2">
-            <widget class="QLabel" name="label_49">
-             <property name="text">
-              <string>Shading:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="0" column="3">
-            <widget class="QSpinBox" name="calPenFillShadingSpinBox">
-             <property name="suffix">
-              <string> %</string>
-             </property>
-             <property name="maximum">
-              <number>100</number>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QLabel" name="label_50">
-             <property name="text">
-              <string>Line Color:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="ColorCombo" name="calPenColorComboBox"/>
-           </item>
-           <item row="1" column="2">
-            <widget class="QLabel" name="label_48">
-             <property name="text">
-              <string>Shading:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="1" column="3">
-            <widget class="QSpinBox" name="calPenLineShadingSpinBox">
-             <property name="suffix">
-              <string> %</string>
-             </property>
-             <property name="maximum">
-              <number>100</number>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="0">
-            <widget class="QLabel" name="label_47">
-             <property name="text">
-              <string>Line Style:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="1">
-            <widget class="LineCombo" name="calPenStyleComboBox"/>
-           </item>
-           <item row="2" column="2">
-            <widget class="QLabel" name="label_51">
-             <property name="text">
-              <string>Pen Angle:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="2" column="3">
-            <widget class="ScrSpinBox" name="calPenAngleSpinBox"/>
-           </item>
-           <item row="3" column="0">
-            <widget class="QLabel" name="label_46">
-             <property name="text">
-              <string>Line Width:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="1">
-            <widget class="ScrSpinBox" name="calPenLineWidthSpinBox"/>
-           </item>
-           <item row="3" column="2">
-            <widget class="QLabel" name="label_52">
-             <property name="text">
-              <string>Pen Width:</string>
-             </property>
-            </widget>
-           </item>
-           <item row="3" column="3">
-            <widget class="ScrSpinBox" name="calPenWidthSpinBox"/>
-           </item>
-          </layout>
+      <layout class="QFormLayout" name="formLayout_3">
+       <item row="0" column="0">
+        <layout class="QGridLayout" name="gridLayout">
+         <item row="3" column="0">
+          <widget class="QLabel" name="calLineWidthLabel">
+           <property name="text">
+            <string>Line Width:</string>
+           </property>
+          </widget>
          </item>
-         <item>
-          <spacer name="horizontalSpacer_16">
+         <item row="2" column="0">
+          <widget class="QLabel" name="calLineStyleLabel">
+           <property name="text">
+            <string>Line Style:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="0">
+          <widget class="QLabel" name="calFillColorLabel">
+           <property name="text">
+            <string>Fill Color:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="4">
+          <widget class="QSpinBox" name="calPenFillShadingSpinBox">
+           <property name="suffix">
+            <string> %</string>
+           </property>
+           <property name="maximum">
+            <number>100</number>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="3">
+          <widget class="QLabel" name="calFillColorShadingLabel">
+           <property name="text">
+            <string>Shading:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="1" column="0">
+          <widget class="QLabel" name="calLineColorLabel">
+           <property name="text">
+            <string>Line Color:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="1">
+          <widget class="ColorCombo" name="calPenFillColorComboBox"/>
+         </item>
+         <item row="2" column="3">
+          <widget class="QLabel" name="calPenAngleLabel">
+           <property name="text">
+            <string>Pen Angle:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="1">
+          <widget class="LineCombo" name="calPenStyleComboBox"/>
+         </item>
+         <item row="1" column="1">
+          <widget class="ColorCombo" name="calPenColorComboBox"/>
+         </item>
+         <item row="3" column="4">
+          <widget class="ScrSpinBox" name="calPenWidthSpinBox"/>
+         </item>
+         <item row="3" column="3">
+          <widget class="QLabel" name="calPenWidthLabel">
+           <property name="text">
+            <string>Pen Width:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="3" column="1">
+          <widget class="ScrSpinBox" name="calPenLineWidthSpinBox"/>
+         </item>
+         <item row="1" column="3">
+          <widget class="QLabel" name="calLineColorShadingLabel">
+           <property name="text">
+            <string>Shading:</string>
+           </property>
+          </widget>
+         </item>
+         <item row="2" column="4">
+          <widget class="ScrSpinBox" name="calPenAngleSpinBox"/>
+         </item>
+         <item row="1" column="4">
+          <widget class="QSpinBox" name="calPenLineShadingSpinBox">
+           <property name="suffix">
+            <string> %</string>
+           </property>
+           <property name="maximum">
+            <number>100</number>
+           </property>
+          </widget>
+         </item>
+         <item row="0" column="2" rowspan="4">
+          <spacer name="horizontalSpacer_11">
            <property name="orientation">
             <enum>Qt::Horizontal</enum>
            </property>
+           <property name="sizeType">
+            <enum>QSizePolicy::Fixed</enum>
+           </property>
            <property name="sizeHint" stdset="0">
             <size>
-             <width>40</width>
+             <width>20</width>
              <height>20</height>
             </size>
            </property>
@@ -1425,7 +1351,20 @@
          </item>
         </layout>
        </item>
-       <item>
+       <item row="0" column="1">
+        <spacer name="horizontalSpacer_14">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>40</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="1" column="0">
         <spacer name="verticalSpacer_11">
          <property name="orientation">
           <enum>Qt::Vertical</enum>
@@ -1433,7 +1372,7 @@
          <property name="sizeHint" stdset="0">
           <size>
            <width>20</width>
-           <height>501</height>
+           <height>40</height>
           </size>
          </property>
         </spacer>
@@ -1585,11 +1524,11 @@
   <tabstop>tabWidget</tabstop>
   <tabstop>scrollArea</tabstop>
   <tabstop>textFrameFillColorComboBox</tabstop>
+  <tabstop>textFrameFillShadingSpinBox</tabstop>
   <tabstop>textFrameLineColorComboBox</tabstop>
+  <tabstop>textFrameLineShadingSpinBox</tabstop>
   <tabstop>textTabFillCharComboBox</tabstop>
   <tabstop>textTabWidthSpinBox</tabstop>
-  <tabstop>textFrameFillShadingSpinBox</tabstop>
-  <tabstop>textFrameLineShadingSpinBox</tabstop>
   <tabstop>textColumnsSpinBox</tabstop>
   <tabstop>textColumnGapSpinBox</tabstop>
   <tabstop>topTextDistanceSpinBox</tabstop>
@@ -1610,8 +1549,8 @@
   <tabstop>imageUseEmbeddedClippingPathCheckBox</tabstop>
   <tabstop>imageFreeScalingRadioButton</tabstop>
   <tabstop>imageHorizontalScalingSpinBox</tabstop>
+  <tabstop>scalingLockToolButton</tabstop>
   <tabstop>imageVerticalScalingSpinBox</tabstop>
-  <tabstop>scalingLockToolButton</tabstop>
   <tabstop>imageFrameScalingRadioButton</tabstop>
   <tabstop>imageKeepAspectRatioCheckBox</tabstop>
   <tabstop>onscreenResolutionFullRadioButton</tabstop>
@@ -1641,7 +1580,7 @@
  <resources/>
  <connections/>
  <buttongroups>
+  <buttongroup name="previewButtonGroup"/>
   <buttongroup name="scalingButtonGroup"/>
-  <buttongroup name="previewButtonGroup"/>
  </buttongroups>
 </ui>
13798-Patch.diff (78,744 bytes)

FirasH

2016-03-07 23:33

developer  

prefs_itemtoolsbase.ui (53,536 bytes)

FirasH

2016-03-07 23:33

developer  

Text.png (179,241 bytes)
Text.png (179,241 bytes)

FirasH

2016-03-07 23:33

developer  

Images.png (164,479 bytes)
Images.png (164,479 bytes)

FirasH

2016-03-07 23:34

developer  

Shapes.png (132,236 bytes)
Shapes.png (132,236 bytes)

FirasH

2016-03-07 23:34

developer  

Lines.png (132,833 bytes)
Lines.png (132,833 bytes)

FirasH

2016-03-07 23:34

developer  

Call.png (138,370 bytes)
Call.png (138,370 bytes)

FirasH

2016-03-11 22:57

developer   ~0039139

Fixed Horizontal/Vertical Scaling spinboxes excessive width introduced with the patch (See "Images" screenshot).

FirasH

2016-03-11 22:58

developer  

prefs_itemtoolsbase_V2.ui (54,380 bytes)

FirasH

2016-03-11 22:59

developer  

ImagesV2.png (79,570 bytes)
ImagesV2.png (79,570 bytes)

FirasH

2016-04-10 13:47

developer   ~0040012

Thanks fschmid!
Fixed in 1.5.2.svn (21183).

Issue History

Date Modified Username Field Change
2016-03-07 23:32 FirasH New Issue
2016-03-07 23:32 FirasH File Added: 13798-Patch.diff
2016-03-07 23:33 FirasH File Added: prefs_itemtoolsbase.ui
2016-03-07 23:33 FirasH File Added: Text.png
2016-03-07 23:33 FirasH File Added: Images.png
2016-03-07 23:34 FirasH File Added: Shapes.png
2016-03-07 23:34 FirasH File Added: Lines.png
2016-03-07 23:34 FirasH File Added: Call.png
2016-03-08 13:08 FirasH Relationship added related to 0013306
2016-03-11 22:57 FirasH Note Added: 0039139
2016-03-11 22:58 FirasH File Added: prefs_itemtoolsbase_V2.ui
2016-03-11 22:59 FirasH File Added: ImagesV2.png
2016-03-12 10:22 Kunda Target Version => 1.5.2
2016-04-03 10:45 FirasH Relationship added child of 0013906
2016-04-10 07:38 fschmid Status new => resolved
2016-04-10 07:38 fschmid Fixed in Version => 1.5.2.svn
2016-04-10 07:38 fschmid Resolution open => fixed
2016-04-10 07:38 fschmid Assigned To => fschmid
2016-04-10 13:47 FirasH Note Added: 0040012
2016-04-10 13:47 FirasH Status resolved => closed